curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions/{transactionID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions/{transactionID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/transactions/{transactionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"category": "adjustment",
"amount": "<string>",
"currency": "usd",
"description": "<string>",
"posted_at": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"billing_amount": "<string>",
"merchant_category_code": "<string>",
"merchant_name": "<string>",
"merchant_location": "<string>",
"local_transaction_details": {
"amount": "<string>",
"currency": "<string>",
"exchange_rate": "<string>"
},
"authorized_at": "<string>",
"status": "pending",
"crypto_transaction_details": {
"from_address": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"chain": "arbitrum",
"memo": "<string>"
},
"related_transaction_ids": [
"<string>"
],
"stripe_issuing_transaction_id": "<string>"
}Retrieve a card transaction
Retrieve a card transaction with the specified ID
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Response
Card transactions
A posted transaction
ID of the transaction
1 - 42[a-z0-9]*The category of the transaction
adjustment, fee, purchase, refund, crypto_funding, crypto_return, crypto_withdrawal The amount represented as a decimal string
The currency of the transaction
usd, usdc The transaction description. It includes the merchant's name and location information for card transactions
Timestamp when the transaction was posted, in ISO8601 format
ID of the card account associated to this transaction
1 - 42[a-z0-9]*ID of the customer of the card account associated to this transaction
1 - 42[a-z0-9]*The billing amount, represented as a decimal string. The billing amount is the amount of the transaction excluding any additional hold. This amount should be present on all purchases, but will only differ from the amount field for some merchant categories in which an upcharge is involved (e.g. gas stations, hotels).
The merchant category code, if applicable (e.g., '5712'). Always returned for transactions with category purchase or refund
The merchant name, if applicable. Always returned for transactions with category purchase or refund
The merchant location, if applicable. Always returned for transactions with category purchase or refund
Details of a transaction processed in a local currency other than USD, with currency conversion applied
Show child attributes
Show child attributes
Timestamp when the transaction was authorized, in ISO8601 format. Applicable only to transactions with category purchase or refund and always returned when applicable
The status of the transaction
pending, posted Details of the underlying crypto transaction for crypto funding, withdrawal, or return transactions
Show child attributes
Show child attributes
IDs of related card transactions
The Stripe Issuing transaction ID, if the transaction is backed by Stripe Issuing
Was this page helpful?